#include "NetworkIdMsg.h"

namespace RoboidControl {

NetworkIdMsg::NetworkIdMsg(const char* buffer) {
  this->networkId = buffer[1];
}

NetworkIdMsg::NetworkIdMsg(unsigned char networkId) {
  this->networkId = networkId;
}

NetworkIdMsg::~NetworkIdMsg() {}

unsigned char NetworkIdMsg::Serialize(char* buffer) {
  unsigned char ix = 0;
  buffer[ix++] = this->id;
  buffer[ix++] = this->networkId;
  return NetworkIdMsg::length;
}

}  // namespace RoboidControl
